Page MenuHomePhabricator

Move WikiLambda execution service repo into gerrit / Wikimedia CI
Closed, ResolvedPublic

Description

Needed for making into a Wikimedia service if nothing else.

Event Timeline

DVrandecic triaged this task as Medium priority.Dec 1 2020, 7:09 PM
DVrandecic moved this task from To triage to Phase β on the Abstract Wikipedia board.

Proposed name: mediawiki/services/function-evaluator

QChris added a subscriber: QChris.Dec 2 2020, 6:56 AM

The Gerrit repo is now ready to use.

Change 644882 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Zuul: Install CI for mediawiki/servieces/function-evaluator

https://gerrit.wikimedia.org/r/644882

The Gerrit repo is now ready to use.

Thank you so much. I've marked the source GH repo as archived.

Change 644882 merged by jenkins-bot:
[integration/config@master] Zuul: Install CI for mediawiki/servieces/function-evaluator

https://gerrit.wikimedia.org/r/644882

Mentioned in SAL (#wikimedia-releng) [2020-12-02T18:23:56Z] <James_F> Zuul: Install CI for mediawiki/servieces/function-evaluator T269039

Jdforrester-WMF closed this task as Resolved.Dec 2 2020, 6:27 PM

Made https://gerrit.wikimedia.org/r/c/mediawiki/services/function-evaluator/+/644885 as a demo that CI works (but we need to install the pipeline stuff to start making images).